/**
 * geisimpl.h
 *
 * This is a sample GEIS implementation definition file.  It should be
 * superceded by the GEIS implementation definition supplied wit your GEIS
 * implementation.
 */

#if defined _WIN32 || defined __CYGWIN__
  #define GEIS_HELPER_DSO_IMPORT __declspec(dllimport)
  #define GEIS_HELPER_DSO_EXPORT __declspec(dllexport)
  #define GEIS_HELPER_DSO_LOCAL
#else
  #if __GNUC__ >= 4
    #define GEIS_HELPER_DSO_IMPORT __attribute__ ((visibility("default")))
    #define GEIS_HELPER_DSO_EXPORT __attribute__ ((visibility("default")))
    #define GEIS_HELPER_DSO_LOCAL  __attribute__ ((visibility("hidden")))
  #else
    #define GEIS_HELPER_DSO_IMPORT
    #define GEIS_HELPER_DSO_EXPORT
    #define GEIS_HELPER_DSO_LOCAL
  #endif
#endif

#ifdef GEIS_BUILDING_DSO
  #ifdef GEIS_DSO_EXPORTS 
    #define GEIS_API GEIS_HELPER_DSO_EXPORT
  #else
    #define GEIS_API GEIS_HELPER_DSO_IMPORT
  #endif /* GEIS_DSO_EXPORTS */
  #define GEIS_LOCAL GEIS_HELPER_DSO_LOCAL
#else 
  #define GEIS_API
  #define GEIS_LOCAL
#endif /* GEIS_BUILDING_DSO */


