/**
 * geis_instance.c
 */
#include "geis_instance.h"

#include "geis_dbus.h"
#include <stdlib.h>


GeisInstance
geis_instance_get(GeisDbus* dbus)
{
  GeisInstance instance = calloc(1, sizeof(GeisInstance));
  if (instance)
  {
    instance->dbus = geis_dbus_get();
  }
  return instance;
}


int
geis_instance_fd(GeisInstance instance)
{
  return geis_dbus_fd(instance->dbus);
}


void
geis_instance_event_dispatch(GeisInstance instance)
{
  geis_dbus_dispatch(instance->dbus);
}


void
geis_instance_free(GeisInstance instance)
{
  geis_dbus_free(instance->dbus);
}
